<script>
	import Vue from 'vue'
	export default {
		onLaunch: function(options) {
		
			uni.getSystemInfo({
				success: function(e) {
					// #ifndef MP
					Vue.prototype.StatusBar = e.statusBarHeight;
					if (e.platform == 'android') {
						Vue.prototype.CustomBar = e.statusBarHeight + 50;
					} else {
						Vue.prototype.CustomBar = e.statusBarHeight + 45;
					};
					// #endif
					// #ifdef MP-WEIXIN
					Vue.prototype.StatusBar = e.statusBarHeight;
					let custom = wx.getMenuButtonBoundingClientRect();
					Vue.prototype.Custom = custom;
					Vue.prototype.CustomBar = custom.bottom + custom.top - e.statusBarHeight;
					// #endif		
					// #ifdef MP-ALIPAY
					Vue.prototype.StatusBar = e.statusBarHeight;
					Vue.prototype.CustomBar = e.statusBarHeight + e.titleBarHeight;
					// #endif
				}
			});
			var param = {
				'phone':options.query.phone,
				'token':options.query.tonken
			}
			this.tokenLogin(param)
		},
		
			
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		},
		methods: {
		  tokenLogin(param){
			  console.log(param)
			  this.$u.api.tokenLogin(param).then(res => {
			  	if (res.code === 200) {
			  		//登录成功，跳转首页
					console.log(res)
			  		uni.setStorageSync("userInfo", res.data)
			  	} else {
			  		this.$api.msg(res.msg);
			  	}
			  })
			  			
		  }
		}
		
	}
</script>

<style>
  @import "colorui/main.css";
  @import "colorui/icon.css";
  @import "common/common.scss"; 
  @import "uview-ui/index.scss";
	/* @import "uview-ui/index.scss"; */
	/*每个页面公共css */
</style>
